# PluginCodec_OptionMap Class Reference

`#include <opalplugin.hpp>`

Inheritance diagram for PluginCodec_OptionMap:

[legend]
Collaboration diagram for PluginCodec_OptionMap:
[legend]

## Public Member Functions

| PluginCodec_OptionMap (const char *const **options=NULL)
unsigned | GetUnsigned (const char *key, unsigned dflt=0) const
void | SetUnsigned (unsigned value, const char *key)
char ** | GetOptions () const

## Constructor & Destructor Documentation

PluginCodec_OptionMap::PluginCodec_OptionMap | ( | const char *const ** | options = `NULL` | ) | `[inline]`

## Member Function Documentation

char** PluginCodec_OptionMap::GetOptions | ( |  | ) | const`[inline]`

unsigned PluginCodec_OptionMap::GetUnsigned | ( | const char * | key,
|  | unsigned | dflt = `0` |
| ) |  |  | const`[inline]`

void PluginCodec_OptionMap::SetUnsigned | ( | unsigned | value,
|  | const char * | key |
| ) |  |  | `[inline]`

The documentation for this class was generated from the following file:

- opalplugin.hpp